%define 	module	pydot
Summary:	Python interface to Graphviz's Dot language
Summary(pl.UTF-8):	Pythonowy interfejs do języka Dot z pakietu Graphviz
Name:		python-%{module}
Version:	1.0.28
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	http://pydot.googlecode.com/files/pydot-%{version}.tar.gz
# Source0-md5:	c0a7a027176a62c412fd0f54951af692
URL:		http://code.google.com/p/pydot/
BuildRequires:	python-pyparsing >= 1.2
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Requires:	python-pyparsing >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pydot provides an interface for creating both directed and non
directed graphs from Python. Currently all attributes implemented in
the Dot language up to Graphviz 2.26.3 are supported.

%description -l pl.UTF-8
pydot udostępnia interfejs do tworzenia zarówno skierowanych jak i
nieskierowanych grafów z poziomu Pythona. Aktualnie obsługuje
wszystkie atrybuty zaimplementowane w języku dot do wersji Graphviza
2.26.3.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_install
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %%doc ChangeLog LICENSE README
%{py_sitescriptdir}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/pydot-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pydot.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ee7e753
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 18a6665
- automatic change: use py_build/py_install macros

* Tue Aug 12 2014 Mateusz Korniak <matkor@pld-linux.org> a78e170
- Release 1. Works for me.

* Tue Aug 12 2014 Mateusz Korniak <matkor@pld-linux.org> a5c01a7
- Version 1.0.28.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0784eb2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dcf929a
- converted to UTF-8

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 8f3aeb6
- graphviz* are not buildrequired
- more docs

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> f13b3d3
- descs

* Sat Nov 26 2005 djrzulf <djrzulf@pld-linux.org> dd8c780
- summary en, change license type,

* Sat Nov 26 2005 djrzulf <djrzulf@pld-linux.org> 6fceaf9
- new, builds

